Kerbal Space Program - Bug #5350

Electric Charge Rate Issue
08/27/2015 02:53 PM - Nori

Status: Closed Start date: 08/27/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

KSP Version: v1.0.4 Windows 32-bit, Fresh install on Windows 7 x64
What Happens: When a craft has a engine with a alternator, EC charge rate is reduced by as much as 50%
Mods / Add-Ons: All Stock

Steps to Replicate:

1) Grab any pod (manned is better for a test), attach a skipper, put in a battery and a solar panel. Remove the charge from the
battery.

2) Launch the ship, extend the panel. Look at the panel's charge rate and compare that to the resource panel.

Result: You should see a 33% decrease in charge rate. Though it can vary. It can be 50% too depending on other factors.

Fixes/Workarounds:
- If you replace the skipper with a engine that doesn't have charge, like the terrier. You will have no issue.
- If you use a mod that can lock the electric charge on the engine, the issue is reduced, though not eliminated.

Pictures:

Skipper, battery one panel.
tJIYmEs.jpg

Same ship, but a minute or so later:
AQEZMXP.jpg

Ship without a alternator:
14X1UY .jpg

Ship with jet instead:
uTKm@39.jpg

Thread where it was discussed:
http:/forum.kerbalspaceprogram.com/threads/132352-Strange-EC-Charge-Issue

History

#2 - 08/27/2015 06:40 PM - Padishar
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This is caused by a bug in the Part.RequestResource functions. The presence of any full and enabled EC storage part will reduce the charging rate
(e.g. the small battery in the lander can also causes a reduction).

#4 - 07/17/2016 09:39 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 10/13/2016 02:04 PM - sal_vager

- Status changed from Needs Clarification to Ready to Test
- % Done changed from 0 to 80

Should be working now.

#6 - 12/03/2016 08:08 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
